function [ new_pos, new_vel ] = COMPUTE_NEW_POS( pos, vel )

global ps
% Computes new position for the particles and updates velocity
new_pos = pos + vel;
new_vel = vel;

% Checks for similarity and forces different integer solutions
tmp_pos_1 = rounding( pos( :, ps.D_cont+1:ps.D_cont + ps.n_OLTC + ps.n_SH ) );
tmp_pos_2 = rounding( new_pos( :, ps.D_cont+1:ps.D_cont + ps.n_OLTC + ps.n_SH ) );
if isequal(tmp_pos_1,tmp_pos_2)
    i = ps.D_cont + randi( ps.n_OLTC + ps.n_SH, 1 );
    if i <= ps.D_cont + ps.n_OLTC
        if rand() < 0.5
            new_pos( 1, i ) = rounding( new_pos( 1, i ) ) + 1.0;
        else
            new_pos( 1, i ) = rounding( new_pos( 1, i ) ) - 1.0;
        end
    else
        new_pos( 1, i ) = 1 - rounding( new_pos( 1, i ) );
    end
end

end